-- Adminer 4.8.1 MySQL 8.0.27 dump

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

SET NAMES utf8mb4;

DROP TABLE IF EXISTS `auth`;
CREATE TABLE `auth` (
  `user_id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(64) NOT NULL,
  `email` varchar(64) NOT NULL,
  `password` varchar(255) NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


DROP TABLE IF EXISTS `class_records`;
CREATE TABLE `class_records` (
  `class_id` int NOT NULL AUTO_INCREMENT,
  `class_name` varchar(32) NOT NULL,
  `class_advisor` varchar(64) NOT NULL,
  PRIMARY KEY (`class_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


DROP TABLE IF EXISTS `class_timetable`;
CREATE TABLE `class_timetable` (
  `Days` varchar(200) NOT NULL,
  `class_id` int NOT NULL,
  `class_name` varchar(200) NOT NULL,
  `period_1` varchar(200) NOT NULL,
  `period_2` varchar(200) NOT NULL,
  `period_3` varchar(200) NOT NULL,
  `period_4` varchar(200) NOT NULL,
  `period_5` varchar(200) NOT NULL,
  `period_6` varchar(200) NOT NULL,
  `period_7` varchar(200) NOT NULL,
  KEY `class_id` (`class_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


DROP TABLE IF EXISTS `role`;
CREATE TABLE `role` (
  `role_id` int NOT NULL AUTO_INCREMENT,
  `role_name` varchar(64) NOT NULL,
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


DROP TABLE IF EXISTS `staff_timetable`;
CREATE TABLE `staff_timetable` (
  `Days` varchar(200) NOT NULL,
  `staff_id` int NOT NULL,
  `staff_name` varchar(200) NOT NULL,
  `period_1` varchar(200) NOT NULL,
  `period_2` varchar(200) NOT NULL,
  `period_3` varchar(200) NOT NULL,
  `period_4` varchar(200) NOT NULL,
  `period_5` varchar(200) NOT NULL,
  `period_6` varchar(200) NOT NULL,
  `period_7` varchar(200) NOT NULL,
  KEY `staff_id` (`staff_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


DROP TABLE IF EXISTS `staffs_records`;
CREATE TABLE `staffs_records` (
  `staff_id` int NOT NULL AUTO_INCREMENT,
  `staff_name` varchar(64) NOT NULL,
  `role` varchar(255) NOT NULL,
  `email` varchar(64) NOT NULL,
  `profile_img` varchar(255) NOT NULL,
  `year_of_experience` int NOT NULL,
  PRIMARY KEY (`staff_id`),
  UNIQUE KEY `email` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


DROP TABLE IF EXISTS `subject_records`;
CREATE TABLE `subject_records` (
  `id` int NOT NULL AUTO_INCREMENT,
  `class_name` varchar(128) NOT NULL,
  `sub_code` varchar(128) NOT NULL,
  `sub_name` varchar(128) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sub_code` (`sub_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;


-- 2022-11-07 19:44:44