<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.0.0-beta1/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css" />
    <title>Time Table - <?php print(ucwords(currentScript())); ?></title>
</head>
<style>
    :root {
        --color-white: #ffffff;
        --color-light: #f1f5f9;
        --color-black: #121212;
        --color-night: #001632;
        --color-red: #f44336;
        --color-blue: #1a73e8;
        --color-gray: #80868b;
        --color-grayish: #dadce0;
        --shadow-normal: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
        --shadow-medium: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
        --shadow-large: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
    }

    html {
        font-size: 100%;
        font-size-adjust: 100%;
        box-sizing: border-box;
        scroll-behavior: smooth;
    }

    *,
    *::before,
    *::after {
        padding: 0;
        margin: 0;
        box-sizing: inherit;
        list-style: none;
        list-style-type: none;
        text-decoration: none;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-rendering: optimizeLegibility;
    }

    body {
        font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
        font-size: 1rem;
        font-weight: normal;
        line-height: 1.5;
        color: var(--color-black);
        background: var(--color-light);
    }

    a,
    button {
        font-family: inherit;
        font-size: inherit;
        line-height: inherit;
        cursor: pointer;
        border: none;
        outline: none;
        background: none;
        text-decoration: none;
    }

    img {
        display: block;
        width: 100%;
        height: auto;
        object-fit: cover;
    }

    .container {
        display: flex;
        justify-content: center;
        align-items: center;
        max-width: 82rem;
        min-height: 100vh;
        width: 100%;
        padding: 0 2rem;
        margin: 0 auto;
    }


    .text {
        font-family: inherit;
        line-height: inherit;
        text-transform: unset;
        text-rendering: optimizeLegibility;
    }

    .text-large {
        font-size: 2rem;
        font-weight: 600;
        color: var(--color-black);
    }

    .text-normal {
        font-size: 1rem;
        font-weight: 400;
        color: var(--color-black);
    }

    .text-links {
        font-size: 1rem;
        font-weight: 400;
        color: var(--color-blue);
    }

    .text-links:hover {
        text-decoration: underline;
    }

    .main .wrapper {
        max-width: 28rem;
        width: 100%;
        margin: 2rem auto;
        padding: 2rem 2.5rem;
        border: none;
        outline: none;
        border-radius: 1rem;
        color: var(--color-black);
        background: var(--color-white);
        box-shadow: var(--shadow-large);
    }

    .main .wrapper .form {
        width: 100%;
        height: auto;
        margin-top: 2rem;
    }

    .main .wrapper .form .input-control {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 1.25rem;
    }

    .main .wrapper .form .input-field {
        font-family: inherit;
        font-size: 1rem;
        font-weight: 400;
        line-height: inherit;
        width: 100%;
        height: auto;
        padding: 0.75rem 1.25rem;
        border: none;
        outline: none;
        border-radius: 0.5rem;
        color: var(--color-black);
        background: var(--color-light);
        text-transform: unset;
        text-rendering: optimizeLegibility;
    }

    .main .wrapper .form .input-submit {
        font-family: inherit;
        font-size: 1rem;
        font-weight: 500;
        line-height: inherit;
        cursor: pointer;
        margin: 0 auto;
        min-width: 60%;
        height: auto;
        padding: 0.65rem 1.25rem;
        border: none;
        outline: none;
        border-radius: 2rem;
        color: var(--color-white);
        background: var(--color-blue);
        box-shadow: var(--shadow-medium);
        text-transform: capitalize;
        text-rendering: optimizeLegibility;
    }

    .main .wrapper .striped {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        margin: 1rem 0;
    }

    .main .wrapper .striped-line {
        flex: auto;
        flex-basis: auto;
        border: none;
        outline: none;
        height: 2px;
        background: var(--color-grayish);
    }

    .main .wrapper .striped-text {
        font-family: inherit;
        font-size: 1rem;
        font-weight: 500;
        line-height: inherit;
        color: var(--color-black);
        margin: 0 1rem;
    }

    .main .wrapper .method-control {
        margin-bottom: 1rem;
    }

    .main .wrapper .method-action {
        font-family: inherit;
        font-size: 0.95rem;
        font-weight: 500;
        line-height: inherit;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: auto;
        padding: 0.35rem 1.25rem;
        outline: none;
        border: 2px solid var(--color-grayish);
        border-radius: 2rem;
        color: var(--color-black);
        background: var(--color-white);
        text-transform: capitalize;
        text-rendering: optimizeLegibility;
        transition: all 0.35s ease;
    }

    .main .wrapper .method-action:hover {
        background: var(--color-light);
    }
</style>
<main class="main">
    <div class="container">
        <section class="wrapper">
            <div class="heading">
                <h1 class="text text-large d-flex justify-content-center">Login In</h1>

                <p class="d-flex justify-content-center">Feel Free to Manage Time Table</p>
            </div>


            <?php


            $login = true;

            //TODO: Redirect to a requested URL instead of base path on login
            if (isset($_POST['email']) and isset($_POST['password'])) {
                $email_address = $_POST['email'];
                $password = $_POST['password'];
                $result = User::login($email_address, $password);

                
                $login = false;
                // print($result);


            }
            if (!$login) {
                if ($result) {
                    Session::set("username", $result);
                    Session::set("Logged", true);
            ?>

                    <script>
                        window.location.href = "./index.php"
                    </script>

                <?php
                } else {
                ?>
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        <svg class="bi flex-shrink-0 me-2" role="img" aria-label="Info:" style="width: 18px;height: 18px;">
                            <use xlink:href="#info-fill" />
                        </svg>
                        <strong>Login Failed!</strong> Invalid Credientials.
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>

            <?php

                }
            }
            ?>
            <form name="signin" class="form" method="POST" action="./login.php">
                <div class="input-control">
                    <label for="email" class="input-label" hidden>Username or Email Address</label>
                    <input type="text" name="email" id="email" class="input-field" placeholder="Username or Email Address" required>
                </div>
                <div class="input-control">
                    <label for="password" class="input-label" hidden>Password</label>
                    <input type="password" name="password" id="password" class="input-field" placeholder="Password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}" title="Must contain at least one number and one uppercase and lowercase letter, and at least 8 or more characters" required>
                </div>
                <div class="input-control">
                    <input type="submit" name="submit" class="input-submit" value="Sign In">
                </div>
            </form>
            <div class="striped">
                <span class="striped-line"></span>
                <span class="striped-text">Or</span>
                <span class="striped-line"></span>
            </div>
            <div class="method">
                <div class="method-control">
                    <a href="./register.php" class="method-action">
                        <i class="ion ion-logo-google"></i>
                        <span>Register</span>
                    </a>
                </div>

            </div>
        </section>
    </div>
</main>