<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/5.0.0-beta1/css/bootstrap.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.2/css/all.min.css" />
    <title>Time Table - <?php print(ucwords(currentScript())); ?></title>
</head>
<style>
    :root {
        --color-white: #ffffff;
        --color-light: #f1f5f9;
        --color-black: #121212;
        --color-night: #001632;
        --color-red: #f44336;
        --color-blue: #1a73e8;
        --color-gray: #80868b;
        --color-grayish: #dadce0;
        --shadow-normal: 0 1px 3px 0 rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06);
        --shadow-medium: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
        --shadow-large: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
    }

    html {
        font-size: 100%;
        font-size-adjust: 100%;
        box-sizing: border-box;
        scroll-behavior: smooth;
    }

    *,
    *::before,
    *::after {
        padding: 0;
        margin: 0;
        box-sizing: inherit;
        list-style: none;
        list-style-type: none;
        text-decoration: none;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-rendering: optimizeLegibility;
    }

    body {
        font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
        font-size: 1rem;
        font-weight: normal;
        line-height: 1.5;
        color: var(--color-black);
        background: var(--color-light);
    }

    a,
    button {
        font-family: inherit;
        font-size: inherit;
        line-height: inherit;
        cursor: pointer;
        border: none;
        outline: none;
        background: none;
        text-decoration: none;
    }

    img {
        display: block;
        width: 100%;
        height: auto;
        object-fit: cover;
    }

    .container {
        display: flex;
        justify-content: center;
        align-items: center;
        max-width: 82rem;
        min-height: 100vh;
        width: 100%;
        padding: 0 2rem;
        margin: 0 auto;
    }


    .text {
        font-family: inherit;
        line-height: inherit;
        text-transform: unset;
        text-rendering: optimizeLegibility;
    }

    .text-large {
        font-size: 2rem;
        font-weight: 600;
        color: var(--color-black);
    }

    .text-normal {
        font-size: 1rem;
        font-weight: 400;
        color: var(--color-black);
    }

    .text-links {
        font-size: 1rem;
        font-weight: 400;
        color: var(--color-blue);
    }

    .text-links:hover {
        text-decoration: underline;
    }

    .main .wrapper {
        max-width: 28rem;
        width: 100%;
        margin: 2rem auto;
        padding: 2rem 2.5rem;
        border: none;
        outline: none;
        border-radius: 1rem;
        color: var(--color-black);
        background: var(--color-white);
        box-shadow: var(--shadow-large);
    }

    .main .wrapper .form {
        width: 100%;
        height: auto;
        margin-top: 2rem;
    }

    .main .wrapper .form .input-control {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 1.25rem;
    }

    .main .wrapper .form .input-field {
        font-family: inherit;
        font-size: 1rem;
        font-weight: 400;
        line-height: inherit;
        width: 100%;
        height: auto;
        padding: 0.75rem 1.25rem;
        border: none;
        outline: none;
        border-radius: 0.5rem;
        color: var(--color-black);
        background: var(--color-light);
        text-transform: unset;
        text-rendering: optimizeLegibility;
    }

    .main .wrapper .form .input-submit {
        font-family: inherit;
        font-size: 1rem;
        font-weight: 500;
        line-height: inherit;
        cursor: pointer;
        margin: 0 auto;
        min-width: 60%;
        height: auto;
        padding: 0.65rem 1.25rem;
        border: none;
        outline: none;
        border-radius: 2rem;
        color: var(--color-white);
        background: var(--color-blue);
        box-shadow: var(--shadow-medium);
        text-transform: capitalize;
        text-rendering: optimizeLegibility;
    }

    .main .wrapper .striped {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        margin: 1rem 0;
    }

    .main .wrapper .striped-line {
        flex: auto;
        flex-basis: auto;
        border: none;
        outline: none;
        height: 2px;
        background: var(--color-grayish);
    }

    .main .wrapper .striped-text {
        font-family: inherit;
        font-size: 1rem;
        font-weight: 500;
        line-height: inherit;
        color: var(--color-black);
        margin: 0 1rem;
    }

    .main .wrapper .method-control {
        margin-bottom: 1rem;
    }

    .main .wrapper .method-action {
        font-family: inherit;
        font-size: 0.95rem;
        font-weight: 500;
        line-height: inherit;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: auto;
        padding: 0.35rem 1.25rem;
        outline: none;
        border: 2px solid var(--color-grayish);
        border-radius: 2rem;
        color: var(--color-black);
        background: var(--color-white);
        text-transform: capitalize;
        text-rendering: optimizeLegibility;
        transition: all 0.35s ease;
    }

    .main .wrapper .method-action:hover {
        background: var(--color-light);
    }
</style>
<main class="main">
    <div class="container">
        <section class="wrapper">
            <div class="heading">
                <h1 class="text text-large d-flex justify-content-center">Register</h1>

            </div>


            <?php
            $signup = false;
            if (isset($_POST['username']) and isset($_POST['password']) and isset($_POST['confirmPassword']) and isset($_POST['email'])) {
                $username = $_POST['username'];
                $password = $_POST['password'];
                $email = $_POST['email'];
                $error = User::signup($username, $password, $email);
                $signup = true;
            }
            ?>
            <?php
            if ($signup) {
                if (!$error) {
            ?>



                    <center>
                        <h5 class="m-3">Thanks for registered.</h5>
                        <lottie-player src="https://assets2.lottiefiles.com/packages/lf20_lk80fpsm.json" background="transparent" speed="1" style="width: 150px; height: 150px;" autoplay></lottie-player>
                        <h6 class="m-3">Your Account Has Been Succesfully Created. <br> Now you can login.</h6>

                        <a href="./login.php"><Button type="submit" class="btn btn-success pull-right linear-green mb-3" style="background-color: #2DB65A; border-color: #2DB65A; width: 40%;">Continue</Button></a><br>

                    </center>


                <?php

                } else {
                    echo ("<h6>$error</h6>");
                }
            } else {

                ?>

                <form name="signin" class="form" method="POST" action="./register.php">
                    <div class="input-control">
                        <label for="username" class="input-label" hidden>Username</label>
                        <input type="text" name="username" id="username" class="input-field" placeholder="Username" required>
                    </div>
                    <div class="input-control">
                        <label for="email" class="input-label" hidden>Email Address</label>
                        <input type="email" name="email" id="email" class="input-field" placeholder="Email Address" required>
                    </div>
                    <div class="input-control">
                        <label for="password" class="input-label" hidden>Password</label>
                        <input type="password" name="password" id="password" class="input-field" placeholder="Password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}" title="Must contain at least one number and one uppercase and lowercase letter, and at least 8 or more characters" required>
                    </div>
                    <div class="input-control">
                        <label for="password" class="input-label" hidden> Confirm Password</label>
                        <input type="password" name="confirmPassword" id="password" class="input-field" placeholder="Confirm Password" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{8,}" title="Must contain at least one number and one uppercase and lowercase letter, and at least 8 or more characters" required>
                    </div>
                    <div class="input-control">
                        <input type="submit" name="submit" class="input-submit" value="Register">
                    </div>
                </form>
                <div class="striped">
                    <span class="striped-line"></span>
                    <span class="striped-text">Or</span>
                    <span class="striped-line"></span>
                </div>
                <div class="method">
                    <div class="method-control">
                        <a href="./login.php" class="method-action">
                            <i class="ion ion-logo-google"></i>
                            <span>Login</span>
                        </a>
                    </div>

                </div>
        </section>
    </div>
</main>
<?php
            }
?>